local self_ID = "P-38D Lightning by Eagle Dynamics"
declare_plugin(self_ID,
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

fileMenuName = _("P-38D"),
update_id        = "P-38D",
version		 = "1.5.3",
state		 = "installed",
info		 = _("The P-38D Lightning was among the best and most well-known fighters used by the U.S. Army Air Forces during WWII."),
binaries 	 =
{
'P51Base',
'P51B',
'Cockpit_P51Common', 
'Cockpit_P51D'
},

InputProfiles =
{
    ["P-38D"]      = current_mod_path .. '/Input/P-38D',
   
},



Skins	=
	{
		{
			name	= _("P-38D"),
			dir		= "Skins/1"
		},
	},

Missions =
	{
		{
			name		= _("P-38D"),
			dir			= "Missions",	
		},
	},	

Options = 
	{
		{
			name		= _("P-38D"),
			nameId		= "P-38D",
			dir			= "Options",
		},
	},
LogBook =
	{
		{
			name		= _("P-38D"),
			type		= "P-38D",
		},
	},		
preload_resources = 
	{
		textures   = {},
		models     = {"tracer_bullet_a-10", "shell_50cal", "tracer_bullet_red", "sled"},
		fonts      = {},
		explosions = {},
	},
})


mount_vfs_texture_path(current_mod_path ..  "/Skins/1/ME")--for simulator loading window


----------------------------------------------------------------------------------------
make_flyable('P-38D',current_mod_path..'/Cockpit/Scripts/',{self_ID,'P51B'},current_mod_path..'/comm.lua')--make_flyable(obj_name,optional_cockpit path,optional_fm = {mod_of_fm_origin,dll_with_fm})
set_manual_path('P-51D', current_mod_path .. '/Doc/manual')
----------------------------------------------------------------------------------------
dofile(current_mod_path..'/p38d.lua')
dofile(current_mod_path.."/Views.lua")
make_view_settings('P-38D', ViewSettings, SnapViews)
plugin_done()
